<template>
    <div class="hexagon" @click="$emit('click')" :class="{ on: alwaysOn }">
        <slot></slot>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
@Component
export default class HexCheckBox extends Vue {
    @Prop({ type: Boolean }) readonly alwaysOn!: boolean;
}
</script>

<style>
.hexagon {
    flex-shrink: 0;
    flex-grow: 0;
    width: 55px;
    height: 55px;
    clip-path: polygon(50% 0%, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%);
    background-color: #e5ebf7;
    color: #72727f;
    display: flex;
    justify-content: center;
    align-items: center;
}

.on {
    background-color: #fdb947;
    color: black;
}

.hexagon:hover {
    background-color: #fdb947;
    color: black;
}

.hexagon:active {
    background-color: #fdb947;
    color: black;
}
</style>
